Subject: [Tsv-art] Common TSV issues

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 25 Apr 2016 09:28:56 -0500

Dear TSV-ART,

So, Mirja and I would like to let the community know what common TSV issues
the TSV-ART will be looking for, and we'd like to get your feedback on the
current issues list, which is at
http://trac.tools.ietf.org/area/tsv/trac/wiki/tsvdir-common-issues, before
we send that out.

If you could take a look at the current TSV issues, list, and let us know
if you think changes are needed by May 9, that would be great!

Thanks,

Spencer and Mirja

---

From: "Black, David" <[email-masked]>
Date: Mon, 25 Apr 2016 18:19:21 +0000

Hi Spencer,

Here are a few suggestions:

-- Use of UDP

I’d reference the rfc5405bis draft for which publication has been requested in addition to RFC 5405, as it contains a lot of added content (this should be “instead of RFC 5405” after IESG approval of the bis draft).  There are a lot of things in this draft that could be called out e.g., reinvention of congestion control is strongly discouraged.

We now recognize “Controlled Environments” as restricted deployment/applicability scenarios where general Internet requirements (e.g., for congestion control) may be relaxed under suitable (e.g., operator) control - see section 3.6 of the rfc5405bis draft for discussion and RFC 7510 (MPLS/UDP) for a worked example.

Use of zero UDP checksums with IPv6 is subtle and requires design attention - see RFC 6935 and 6936.  Note that these two RFCs contain design requirements, so it’s insufficient to just normatively reference those two RFCs and impose their requirements - an explanation of how the protocol design (for zero UDP checksums with IPv6 meets those requirements is needed).  RFC 7510 is also a worked example here, and its content on this topic is not short.

-- PDU Sizes

I’d add a discussion of PMTUD and PLPMTUD, including noting that use of the latter needs to include an explanation of how.  Use of the former needs to be cognizant of the general unreliability of ICMP Packet Too Big notifications, especially when sent upstream from within a tunnel (may not propagate across ingress).

-- Multicast

Many of the concerns may be exacerbated by multicast - perhaps someone who spends more time on multicast than I do could come up with a short list of things to watch out for.

Thanks, --David

From: Tsv-art [mailto:[email-masked]] On Behalf Of Spencer Dawkins at IETF
Sent: Monday, April 25, 2016 10:29 AM
To: [email-masked]
Subject: [Tsv-art] Common TSV issues

Dear TSV-ART,

So, Mirja and I would like to let the community know what common TSV issues the TSV-ART will be looking for, and we'd like to get your feedback on the current issues list, which is at http://trac.tools.ietf.org/area/tsv/trac/wiki/tsvdir-common-issues, before we send that out.

If you could take a look at the current TSV issues, list, and let us know if you think changes are needed by May 9, that would be great!

Thanks,

Spencer and Mirja

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 25 Apr 2016 14:03:16 -0500

Hi, David,

On Mon, Apr 25, 2016 at 1:19 PM, Black, David <[email-masked]> wrote:

> I’d reference the rfc5405bis draft for which publication has been
> requested in addition to RFC 5405, as it contains a lot of added content
> (this should be “instead of RFC 5405” after IESG approval of the bis
> draft).  There are a lot of things in this draft that could be called out
> e.g., reinvention of congestion control is strongly discouraged.
>

Thanks for the other suggestions, too, but 5405bis was so obvious that I
feel like a moron for not updating the checklist to include it :-)

Others?

Spencer

> We now recognize “Controlled Environments” as restricted
> deployment/applicability scenarios where general Internet requirements
> (e.g., for congestion control) may be relaxed under suitable (e.g.,
> operator) control - see section 3.6 of the rfc5405bis draft for discussion
> and RFC 7510 (MPLS/UDP) for a worked example.
>
>
>
> Use of zero UDP checksums with IPv6 is subtle and requires design
> attention - see RFC 6935 and 6936.  Note that these two RFCs contain design
> requirements, so it’s insufficient to just normatively reference those two
> RFCs and impose their requirements - an explanation of how the protocol
> design (for zero UDP checksums with IPv6 meets those requirements is
> needed).  RFC 7510 is also a worked example here, and its content on this
> topic is not short.
>
>
>
> -- PDU Sizes
>
>
>
> I’d add a discussion of PMTUD and PLPMTUD, including noting that use of
> the latter needs to include an explanation of how.  Use of the former needs
> to be cognizant of the general unreliability of ICMP Packet Too Big
> notifications, especially when sent upstream from within a tunnel (may not
> propagate across ingress).
>
>
>
> -- Multicast
>
>
>
> Many of the concerns may be exacerbated by multicast - perhaps someone who
> spends more time on multicast than I do could come up with a short list of
> things to watch out for.
>
>
>
> Thanks, --David
>
>
>
> *From:* Tsv-art [mailto:[email-masked]] *On Behalf Of *Spencer
> Dawkins at IETF
> *Sent:* Monday, April 25, 2016 10:29 AM
> *To:* [email-masked]
> *Subject:* [Tsv-art] Common TSV issues
>
>
>
> Dear TSV-ART,
>
>
>
> So, Mirja and I would like to let the community know what common TSV
> issues the TSV-ART will be looking for, and we'd like to get your feedback
> on the current issues list, which is at
> http://trac.tools.ietf.org/area/tsv/trac/wiki/tsvdir-common-issues,
> before we send that out.
>
>
>

---

From: Joe Touch <[email-masked]>
Date: Mon, 25 Apr 2016 12:35:06 -0700

FWIW - I added a handful of things this AM...

Joe

On 4/25/2016 12:03 PM, Spencer Dawkins at IETF wrote:
> Hi, David,
>
> On Mon, Apr 25, 2016 at 1:19 PM, Black, David <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Hi Spencer,
>
>      
>
>     requested in addition to RFC 5405, as it contains a lot of added
>     content (this should be “instead of RFC 5405” after IESG approval
>     of the bis draft).  There are a lot of things in this draft that
>     could be called out e.g., reinvention of congestion control is
>     strongly discouraged.
>
>
> Thanks for the other suggestions, too, but 5405bis was so obvious that
> I feel like a moron for not updating the checklist to include it :-)
>
> Others?
>
> Spencer
>  
>
>     deployment/applicability scenarios where general Internet
>     requirements (e.g., for congestion control) may be relaxed under
>     suitable (e.g., operator) control - see section 3.6 of the
>     rfc5405bis draft for discussion and RFC 7510 (MPLS/UDP) for a
>     worked example.
>
>      
>
>     attention - see RFC 6935 and 6936.  Note that these two RFCs
>     contain design requirements, so it’s insufficient to just
>     normatively reference those two RFCs and impose their requirements
>     - an explanation of how the protocol design (for zero UDP
>     checksums with IPv6 meets those requirements is needed).  RFC 7510
>     is also a worked example here, and its content on this topic is
>     not short.
>
>      
>
>     -- PDU Sizes
>
>      
>
>     I’d add a discussion of PMTUD and PLPMTUD, including noting that
>     use of the latter needs to include an explanation of how.  Use of
>     the former needs to be cognizant of the general unreliability of
>     ICMP Packet Too Big notifications, especially when sent upstream
>     from within a tunnel (may not propagate across ingress).
>
>      
>
>     -- Multicast
>
>      
>
>     Many of the concerns may be exacerbated by multicast - perhaps
>     someone who spends more time on multicast than I do could come up
>     with a short list of things to watch out for.
>
>      
>
>     Thanks, --David
>
>      
>
>     *From:*Tsv-art [mailto:[email-masked]
>     <mailto:[email-masked]>] *On Behalf Of *Spencer Dawkins
>     at IETF
>     *To:* [email-masked] <mailto:[email-masked]>
>     So, Mirja and I would like to let the community know what common
>     TSV issues the TSV-ART will be looking for, and we'd like to get
>     your feedback on the current issues list, which is
>     at http://trac.tools.ietf.org/area/tsv/trac/wiki/tsvdir-common-issues,
>     before we send that out.
>
>      
>
>     If you could take a look at the current TSV issues, list, and let
>     us know if you think changes are needed by May 9, that would be great!
>
>      
>
>     Thanks,
>
>      
>
>     Spencer and Mirja
>
>
>
>
> _______________________________________________
> Tsv-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tsv-art

---

From: Joe Touch <[email-masked]>
Date: Mon, 25 Apr 2016 15:06:43 -0700

Also, it might be good to consider reorganzing the list into some sort
of taxonomy. I had a draft of this sort of thing I had been preparing
for TSV-AREA at one point. Let me know if it would be useful to dig out.

Joe

On 4/25/2016 12:35 PM, Joe Touch wrote:
>> Thanks for the other suggestions, too, but 5405bis was so obvious
>> that I feel like a moron for not updating the checklist to include it :-)
>>
>> Others?
>>
>> Spencer
>>  
>>
>>     normatively reference those two RFCs and impose their
>>     requirements - an explanation of how the protocol design (for
>>     zero UDP checksums with IPv6 meets those requirements is
>>     needed).  RFC 7510 is also a worked example here, and its content
>>     on this topic is not short.
>>
>>      
>>
>>     -- PDU Sizes
>>
>>      
>>

---

From: "Black, David" <[email-masked]>
Date: Fri, 29 Apr 2016 18:13:11 +0000

I've added my relevant suggestions from this thread.

Thanks, --David

From: Joe Touch [mailto:[email-masked]]
Sent: Monday, April 25, 2016 6:07 PM
To: Spencer Dawkins at IETF; Black, David
Cc: [email-masked]; [email-masked]
Subject: Re: [Tsv-art] Common TSV issues

Also, it might be good to consider reorganzing the list into some sort of taxonomy. I had a draft of this sort of thing I had been preparing for TSV-AREA at one point. Let me know if it would be useful to dig out.

Joe

Joe

On Mon, Apr 25, 2016 at 1:19 PM, Black, David <[email-masked]<mailto:[email-masked]>> wrote:
Hi Spencer,

-- Use of UDP

I'd reference the rfc5405bis draft for which publication has been requested in addition to RFC 5405, as it contains a lot of added content (this should be "instead of RFC 5405" after IESG approval of the bis draft).  There are a lot of things in this draft that could be called out e.g., reinvention of congestion control is strongly discouraged.

Thanks for the other suggestions, too, but 5405bis was so obvious that I feel like a moron for not updating the checklist to include it :-)

Others?

Spencer

We now recognize "Controlled Environments" as restricted deployment/applicability scenarios where general Internet requirements (e.g., for congestion control) may be relaxed under suitable (e.g., operator) control - see section 3.6 of the rfc5405bis draft for discussion and RFC 7510 (MPLS/UDP) for a worked example.

Use of zero UDP checksums with IPv6 is subtle and requires design attention - see RFC 6935 and 6936.  Note that these two RFCs contain design requirements, so it's insufficient to just normatively reference those two RFCs and impose their requirements - an explanation of how the protocol design (for zero UDP checksums with IPv6 meets those requirements is needed).  RFC 7510 is also a worked example here, and its content on this topic is not short.

-- PDU Sizes

I'd add a discussion of PMTUD and PLPMTUD, including noting that use of the latter needs to include an explanation of how.  Use of the former needs to be cognizant of the general unreliability of ICMP Packet Too Big notifications, especially when sent upstream from within a tunnel (may not propagate across ingress).

-- Multicast

Thanks, --David

From: Tsv-art [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Spencer Dawkins at IETF
Sent: Monday, April 25, 2016 10:29 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [Tsv-art] Common TSV issues

Dear TSV-ART,

Thanks,

Spencer and Mirja

Tsv-art mailing list

[email-masked]<mailto:[email-masked]>